Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0029006
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformminoralways2015-02-20 09:162017-05-29 17:43
ReporterguilleaerView Statuspublic 
Assigned Tocaristu 
PrioritynormalResolutionfixedFixed in Version3.0PR17Q3
StatusclosedFix in branchFixed in SCM revisionb4e2c3368a10
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0029006: Process Definition: Client side validation does not receive info about the pressed button

DescriptionIf you define several buttons in a process definition and a client side validation is defined, the developer will not be able to identify which button have been pressed inside the client side validation function.
Steps To Reproduce1. Define a process definition
2. Add several buttons to the process definition following this guide [http://wiki.openbravo.com/wiki/How_to_create_a_Standard_Process_Definition#Adding_new_buttons [^]]
3. Define a client side validation function and put a breakpoint there
4. You will see that the information about pressed button is not received
Proposed SolutionAdd the object _allProperties to this.

    allProperties._buttonValue = btnValue || 'DONE';

    allProperties._params = this.getContextInfo();

+ this.allProperties = allProperties;

    actionHandlerCall = function (me) {
      me.showProcessing(true);
      OB.RemoteCallManager.call(me.actionHandler, allProperties, {
        processId: me.processId,
        windowId: me.windowId
      }, function (rpcResponse, data, rpcRequest) {
        view.handleResponse(true, (data && data.message), (data && data.responseActions), (data && data.retryExecution), data);
      });
    };

    if (this.clientSideValidation) {
      this.clientSideValidation(this, actionHandlerCall);
    } else {
      actionHandlerCall(this);
    }
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0096112)
hgbot (developer)
2017-04-24 10:27

Repository: erp/devel/pi
Changeset: b4e2c3368a10644ad3a386bf5599a9c510aedbb4
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Mon Apr 24 10:25:52 2017 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/b4e2c3368a10644ad3a386bf5599a9c510aedbb4 [^]

fixes bug 29006: provide info of the pressed button in client side validations

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/process/ob-parameter-window-view.js
---
(0096117)
caristu (developer)
2017-04-24 10:49

Updated wiki page: http://wiki.openbravo.com/wiki/How_to_create_a_Standard_Process_Definition#Invoking_a_client_side_validation_before_calling_the_action_handler [^]
(0096128)
alostale (developer)
2017-04-24 12:27

code reviewed + tested
(0096901)
hudsonbot (developer)
2017-05-29 17:43

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/1ee70113bdc4 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2015-02-20 09:16 guilleaer New Issue
2015-02-20 09:16 guilleaer Assigned To => AugustoMauch
2015-02-20 09:16 guilleaer Modules => Core
2015-02-20 09:16 guilleaer Triggers an Emergency Pack => No
2015-03-11 09:47 alostale Priority normal => high
2015-03-11 09:47 alostale Status new => acknowledged
2015-03-17 14:37 alostale Assigned To AugustoMauch => platform
2015-11-11 11:37 alostale Priority high => normal
2017-04-24 09:10 caristu Assigned To platform => caristu
2017-04-24 09:10 caristu Status acknowledged => scheduled
2017-04-24 10:27 hgbot Checkin
2017-04-24 10:27 hgbot Note Added: 0096112
2017-04-24 10:27 hgbot Status scheduled => resolved
2017-04-24 10:27 hgbot Resolution open => fixed
2017-04-24 10:27 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/b4e2c3368a10644ad3a386bf5599a9c510aedbb4 [^]
2017-04-24 10:49 caristu Note Added: 0096117
2017-04-24 10:55 caristu Review Assigned To => alostale
2017-04-24 12:27 alostale Note Added: 0096128
2017-04-24 12:27 alostale Status resolved => closed
2017-04-24 12:27 alostale Fixed in Version => 3.0PR17Q3
2017-05-29 17:43 hudsonbot Checkin
2017-05-29 17:43 hudsonbot Note Added: 0096901


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker